Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.html.struts11.actions
Class NavigationAction

`java.lang.Object
org.apache.struts.action.Action
org.apache.struts.actions.DispatchAction
oracle.jbo.html.struts11.actions.NavigationAction`

public class NavigationAction
extends org.apache.struts.actions.DispatchAction

NavigationAction

Since:
  JDeveloper 9.0.3

Field Summary

Fields inherited from class org.apache.struts.actions.DispatchAction
`clazz, log, messages, methods, types`

Fields inherited from class org.apache.struts.action.Action
`ACTION_SERVLET_KEY, APPLICATION_KEY, DATA_SOURCE_KEY, defaultLocale, ERROR_KEY, EXCEPTION_KEY, FORM_BEANS_KEY, FORWARDS_KEY, LOCALE_KEY, MAPPING_KEY, MAPPINGS_KEY, MESSAGE_KEY, MESSAGES_KEY, MULTIPART_KEY, PLUG_INS_KEY, REQUEST_PROCESSOR_KEY, servlet, SERVLET_KEY, TRANSACTION_TOKEN_KEY`

Constructor Summary
`NavigationAction()`

Method Summary
`org.apache.struts.action.ActionForward` | `first(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` "first" dispatch method called by DispatchAction
`org.apache.struts.action.ActionForward` | `firstSet(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` "firstSet" dispatch method called by DispatchAction
`org.apache.struts.action.ActionForward` | `gotoSet(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` "gotoSet" dispatch method called by DispatchAction
`org.apache.struts.action.ActionForward` | `last(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` "last" dispatch method called by DispatchAction
`org.apache.struts.action.ActionForward` | `lastSet(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` "lastSet" dispatch method called by DispatchAction
`org.apache.struts.action.ActionForward` | `next(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` "next" dispatch method called by DispatchAction
`org.apache.struts.action.ActionForward` | `nextSet(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` "nextSet" dispatch method called by DispatchAction
`org.apache.struts.action.ActionForward` | `previous(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` "previous" dispatch method called by DispatchAction
`org.apache.struts.action.ActionForward` | `previousSet(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` "previousSet" dispatch method called by DispatchAction

Methods inherited from class org.apache.struts.actions.DispatchAction
`dispatchMethod, execute, getMethod, unspecified`

Methods inherited from class org.apache.struts.action.Action
`execute, generateToken, getDataSource, getDataSource, getLocale, getResources, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, perform, perform, resetToken, saveErrors, saveMessages, saveToken, setLocale, setServlet, toHex`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NavigationAction

    public NavigationAction()

Method Detail

### next

    public org.apache.struts.action.ActionForward next(org.apache.struts.action.ActionMapping mapping,
                                                       org.apache.struts.action.ActionForm form,
                                                       javax.servlet.http.HttpServletRequest request,
                                                       javax.servlet.http.HttpServletResponse response)

  "next" dispatch method called by DispatchAction

### previous

    public org.apache.struts.action.ActionForward previous(org.apache.struts.action.ActionMapping mapping,
                                                           org.apache.struts.action.ActionForm form,
                                                           javax.servlet.http.HttpServletRequest request,
                                                           javax.servlet.http.HttpServletResponse response)

  "previous" dispatch method called by DispatchAction

### first

    public org.apache.struts.action.ActionForward first(org.apache.struts.action.ActionMapping mapping,
                                                        org.apache.struts.action.ActionForm form,
                                                        javax.servlet.http.HttpServletRequest request,
                                                        javax.servlet.http.HttpServletResponse response)

  "first" dispatch method called by DispatchAction

### last

    public org.apache.struts.action.ActionForward last(org.apache.struts.action.ActionMapping mapping,
                                                       org.apache.struts.action.ActionForm form,
                                                       javax.servlet.http.HttpServletRequest request,
                                                       javax.servlet.http.HttpServletResponse response)

  "last" dispatch method called by DispatchAction

### nextSet

    public org.apache.struts.action.ActionForward nextSet(org.apache.struts.action.ActionMapping mapping,
                                                          org.apache.struts.action.ActionForm form,
                                                          javax.servlet.http.HttpServletRequest request,
                                                          javax.servlet.http.HttpServletResponse response)

  "nextSet" dispatch method called by DispatchAction

### previousSet

    public org.apache.struts.action.ActionForward previousSet(org.apache.struts.action.ActionMapping mapping,
                                                              org.apache.struts.action.ActionForm form,
                                                              javax.servlet.http.HttpServletRequest request,
                                                              javax.servlet.http.HttpServletResponse response)

  "previousSet" dispatch method called by DispatchAction

### firstSet

    public org.apache.struts.action.ActionForward firstSet(org.apache.struts.action.ActionMapping mapping,
                                                           org.apache.struts.action.ActionForm form,
                                                           javax.servlet.http.HttpServletRequest request,
                                                           javax.servlet.http.HttpServletResponse response)

  "firstSet" dispatch method called by DispatchAction

### lastSet

    public org.apache.struts.action.ActionForward lastSet(org.apache.struts.action.ActionMapping mapping,
                                                          org.apache.struts.action.ActionForm form,
                                                          javax.servlet.http.HttpServletRequest request,
                                                          javax.servlet.http.HttpServletResponse response)

  "lastSet" dispatch method called by DispatchAction

### gotoSet

    public org.apache.struts.action.ActionForward gotoSet(org.apache.struts.action.ActionMapping mapping,
                                                          org.apache.struts.action.ActionForm form,
                                                          javax.servlet.http.HttpServletRequest request,
                                                          javax.servlet.http.HttpServletResponse response)

  "gotoSet" dispatch method called by DispatchAction

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.